<?php
#
#
/************************************************
* Plugin d'onglet
* file : plugin_thumbs.php
* version: 1.00
* date: 29/04/2008
* author: David PERRIN (équipe Eole, CETIAD Dijon)
* email: David.Perrin@ac-dijon.fr
************************************************/
/*
 * name: plugin thumbs
 * description: THUMBS
 * dependencies: no
 * author: Eole
 * url: eole.orion.education.fr
*/

define("THUMBS_NAME","plugin thumbs");


/*
* Registers the action in order to install and uninstall the plugin
*/
// show configuration
register_hook('install_plugin_thumbs/plugin_thumbs','plugthumbs_install');
register_hook('uninstall_plugin_thumbs/plugin_thumbs','plugthumbs_uninstall');
register_hook("display_plugin","plugthumbs_display",10,1);
register_hook("userinterface_header","thumbs_userinterface_header",2,1);


function plugthumbs_display($info)
{
}


function thumb_exporter(){
	echo "<link type='text/css' rel='stylesheet' media='screen' href='../includes/plugins/plugin_thumbs/styles/exporter.css' />";
	echo '<script type="text/javascript" src="../includes/plugins/plugin_thumbs/scripts/exporter.js"></script>';

    echo "<div id='thumb_exporter'><div class='thumbexporterreduce'>Exportation d'onglet<a class='thumbexporterreducelink' href='javascript:reduceExporter()'><img src='../includes/plugins/plugin_thumbs/reduce.gif' /></a></div>";
    echo "<div id='thumb_exporter_container' style='display:none'>";
    echo "<div>Outil d'exportation d'onglet vers la base de profil</div>";
    echo "<a href='javascript:ExporterMenu()'>LISTER</a><br />";
    echo "<div id='thumb_exporter_list'><br /><br /><br /></div>";

    echo "<a href=\"javascript:_type='block';if (navIsShown('thumb_exporter_info')) _type='none';navShow('thumb_exporter_info', _type);\" class='thumbexporterhelplink'>";
    echo "Aide</a>";

    echo "<div id='thumb_exporter_info' style='display:none;'>Cet outil vous permet de configurer un portail et d'exporter les onglets vers ";
    echo "votre gestionnaire de profil.<br />1-Entrez un identifiant pour la manipulation dans le gestionnaire <br />";
    echo "2-Si vous voulez un placement différent, entrez le placement de l'onglet<br />";
       echo "3-cliquez sur le libelé de l'onglet</div>";

	echo "</div></div>";
}

function thumbs_userinterface_header($page)
{

    if(__defaultAuthen == "cas" && $page == "portal/mypage.php"){
//                $CAS = new EoleCASClient(__CAS_VERSION,__CAS_SERVER,intval(__CAS_PORT),__CAS_FOLDER,false);
                        eolephpCAS::client(__CAS_VERSION,__CAS_SERVER,__CAS_PORT,__CAS_FOLDER,false);

                if (!isset($_SESSION['phpCAS'])){
                                                if(__LANG=="fr") eolephpCAS::setLang(PHPCAS_LANG_FRENCH);
                                                            else eolephpCAS::setLang(PHPCAS_LANG_ENGLISH);
                                                 }
        eolephpCAS::forceAuthentication();
        if(eolephpCAS::checkAuthentication())
        {
            // ok go to user page
            // recuperation des infos utilisateurs envoyees par le SSO
#              $user = eolephpCAS::getUser();
#              $details = eolephpCAS::getDetails();
              $user_datas = $_SESSION['phpCAS'];
            // appel de l'initisalisateur d'thumbs qui ajoute les thumbs du user dans la base
	      $output = json_encode($user_datas);
	      `/usr/share/xmlrpc-posh/client/client.py 'thumbs' '$output'`; # version xmlrpc

		// FIXME : a n'éxécuter que si on est admin
	      if (eolephpCAS::getUser() == 'admin'){
		      thumb_exporter();
	      }
	}
 }
}

function plugthumbs_install(){
}
/*
 * Uninstall function
*/
function plugthumbs_uninstall(){
}
?>
